<a name="menu" href="/doc">返回主目录</a>

1. [获取诊断列表(人工)](#getDnList)
2. [获取待处理诊断列表(人工)](#getDnListPending)
3. [获取全部诊断列表](#getDnListAll)
4. [获取诊断详情](#getDnDetail)
5. [认证](#doDnEAV)
6. [获取需求列表](#getDnNeedList)
7. [获取需求详情](#getDnNeedDetail)
8. [证照对比数据](#licenseCompare)
9. [新建方案](#addDnCase)

## **<a name="getDnList"> 获取诊断列表(人工)</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnList

```javascript
    {
        "diagnosisNo": "N2020081211076qlz86H",//申请编号
        "publishName": "张三" //联系人名称
        "publishMobile": "13911391996", // 联系人电话
        "corporateType": "qjd",//店铺类型 电商诊断：qjd/zmd/zyd(旗舰店/专卖店/专营店)，直播诊断：qy/gtgsh/mbfqy/flfw(企业/个体工商户/民办非企业/法律服务)'
        "status": "dcl"//状态 dcl/gtz/dqrfa/ygb/ywc(待处理/沟通中/待确认方案/已关闭/已完成)
        "page":1,//页数
        "pageSize":20,//每页条数
        "stdate":"2020-02-16T04:14:24.000Z",//开始时间
        "endate":"2020-02-21T14:14:24.000Z"//结束时间
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": 10,
                    "diagnosis_no": "N2020081211076qlz86H",//申请编号
                    "corporate_type": "qjd",//店铺类型
                    "corporate_type_name": "旗舰店",//店铺类型名称
                    "corporate_name": "林氏集团",//公司名称
                    "publish_name": null,//联系人名称
                    "publish_mobile": "13911391996",//联系人电话
                    "status": "dcl",//状态
                    "status_name": "待处理"//状态名称
                }
            ],
        },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="getDnListPending"> 获取待处理诊断列表(人工)</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnListPending

```javascript
    {
        "diagnosisNo": "N2020081211076qlz86H",//申请编号
        "publishName": "张三" //联系人名称
        "publishMobile": "13911391996", // 联系人电话
        "corporateType": "qjd",//店铺类型 电商诊断：qjd/zmd/zyd(旗舰店/专卖店/专营店)，直播诊断：qy/gtgsh/mbfqy/flfw(企业/个体工商户/民办非企业/法律服务)'
        "status": "dcl"//状态 dcl/gtz/dqrfa/ygb/ywc(待处理/沟通中/待确认方案/已关闭/已完成)
        "page":1,//页数
        "pageSize":20,//每页条数
        "stdate":"2020-02-16T04:14:24.000Z",//开始时间
        "endate":"2020-02-21T14:14:24.000Z"//结束时间
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": 10,
                    "diagnosis_no": "N2020081211076qlz86H",//申请编号
                    "corporate_type": "qjd",//店铺类型
                    "corporate_type_name": "旗舰店",//店铺类型名称
                    "corporate_name": "林氏集团",//公司名称
                    "publish_name": null,//联系人名称
                    "publish_mobile": "13911391996",//联系人电话
                    "status": "dcl",//状态
                    "status_name": "待处理"//状态名称
                }
            ],
        },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="getDnListAll"> 获取全部诊断列表</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnListAll

```javascript
    {
        "diagnosisNo": "N2020081211076qlz86H",//申请编号
        "publishName": "张三" //联系人名称
        "publishMobile": "13911391996", // 联系人电话
        "corporateType": "qjd",//店铺类型 电商诊断：qjd/zmd/zyd(旗舰店/专卖店/专营店)，直播诊断：qy/gtgsh/mbfqy/flfw(企业/个体工商户/民办非企业/法律服务)'
        "diagnosisTypeName": "直播", // 诊断类型 直播 / 电商
        "status": "dcl" // 状态 dcl/gtz/dqrfa/ygb/ywc(待处理/沟通中/待确认方案/已关闭/已完成)
        "page":1,//页数
        "pageSize":20,//每页条数
        "stdate":"2020-02-16T04:14:24.000Z",//开始时间
        "endate":"2020-02-21T14:14:24.000Z"//结束时间
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": 10,
                    "diagnosis_no": "N2020081211076qlz86H",//申请编号
                    "corporate_type": "qjd",//店铺类型
                    "corporate_type_name": "旗舰店",//店铺类型名称
                    "corporate_name": "林氏集团",//公司名称
                    "disagnosis_type": "zb", // 诊断类型 zb/ds
                    "disagnosis_type_name": "直播", // 直播/电商
                    "disagnosis_mode": "rg", // 诊断方式 rg / zn
                    "disagnosis_mode_name": "智能评估", // 智能评估 / 人工诊断
                    "disagnosis_result": "tg", // 诊断结果 tg / wtg / rgshz
                    "disagnosis_result_name": "通过", // 通过 / 未通过 / 人工审核中
                    "publish_name": null,//联系人名称
                    "publish_mobile": "13911391996",//联系人电话
                    "status": "dcl",//状态
                    "status_name": "待处理"//状态名称
                }
            ],
        },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="getDnDetail"> 获取诊断详情</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnDetail

```javascript
    {
      "id": 0
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": 10,
            "uapp_id": 22,//平台渠道ID
            "channel_user_id": "13911391996",//渠道用户唯一码
            "diagnosis_no": "N2020081211076qlz86H",//诊断单号/申请编号
            "corporate_name": "林氏集团",//公司名称
            "publish_name": null,//联系人名字
            "publish_mobile": "13911391996",//联系人手机号
            "corporate_type": "qjd",//店铺类型
            "corporate_type_name": "旗舰店",//店铺类型名字
            "diagnosis_type": "zb",//诊断类型 zb/ds
            "diagnosis_type_name": "直播",//诊断类型名字 直播/电商
            "diagnosis_mode": "rg",//诊断方式 zn/rg
            "diagnosis_mode_name": "人工评估",//诊断方式名字 智能评估/人工评估
            "diagnosis_result": "rgshz",//诊断结果 tg/wtg/rgshz
            "diagnosis_result_name": "人工审核中",//诊断结果名字 通过/未通过/人工审核中
            "status_name": "待处理",//状态名字
            "qualifications_pic": null,//基础资质json
            "brand_pic": null,//品牌资质json
            "industry_pic": null,//行业资质json
            "notes": null,//备注
            "auth_result_name": "已认证"// 认证状态
            "status": "dcl",//状态 dcl/gtz/dqrfa/ygb/ywc
            "created_at": "2020-08-12T03:07:27.000Z",//创建时间
            "updated_at": "2020-08-12T03:07:27.000Z",//更新时间
            "deleted_at": null,//删除时间
            "version": 0
         },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="doDnEAV"> 认证</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：doDnEAV

```javascript
    {
      "id":0,
      "diagnosisResult":"tg" //诊断结果"tg/wtg/rgshz(通过/未通过/人工审核中)
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": [
              1
          ],
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="getDnNeedList"> 获取需求列表</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnNeedList

```javascript
    {
        "status": "状态", // 目前枚举和原型不同 不建议筛选
        "needNo": "", // 需求单号
        "publishName": "", // 联系人姓名
        "publishMobile": "", // 联系人电话
        "typeCode": "" // 需求类型
        "stdate":"2020-02-16T04:14:24.000Z",//开始时间
        "endate":"2020-02-21T14:14:24.000Z"//结束时间
        "pageNo": 1, // 页数
        "pageSize": 10 // 每页条数
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                 "id": 2848,
                 "uapp_id": 22,// 平台渠道 id
                 "channelNeedNo": "N202008120920C5NEHz9",// 渠道需求号
                 "needNo": "N202008120920C5NEHz9",// 需求号
                 "channelUserId": "15010929366",// 渠道用户唯一码
                 "publishName": "", // 发布者姓名
                 "publisherOnlyCode": null,//发布者唯一码
                 "publishContent": "公司注册 - ",//发布内容
                 "publishMobile": "13911391996",//发布者手机号
                 "followManUserId": null,//跟进者唯一码
                 "followManName": null,//跟进人姓名
                 "followManMobile": null,//跟进者手机号
                 "followManOnlyCode": null,//跟进者唯一码
                 "followContent": null,//跟进内容
                 "productOneType_id": null,//产品大类Id
                 "productType_id": null,//产品类型Id
                 "notes": null,//备注
                 "disposeNotes": null,//处理的备注
                 "statusName": "已关闭",//状态名称
                 "status": "ygb",//状态 wts未推送,yts已推送,ygj已跟进,ycd已成单,ygb已关闭
                 "city": "北京市-北京市-大兴区",//城市
                 "province": null,//省份
                 "typeCode": "gszc",//类型编码
                 "typeName": "公司注册",//类型名称
                 "channelTypeCode": "gszc",//渠道类型编码
                 "channelTypeName": "公司注册",//渠道类型名称
                 "created_at": "2020-08-12T01:20:24.000Z",//创建时间
                 "updated_at": "2020-08-12T01:41:49.000Z",//更新时间
                 "deleted_at": null,//删除时间
                 "version": 0
               }
            ],
        },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="getDnNeedDetail"> 获取需求详情</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：getDnNeedDetail

```javascript
    {
      "needNo": "N202008120920C5NEHz9" //需求号
    }
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": 2848,
            "uapp_id": 22,//平台渠道id
            "needNo": "N202008120920C5NEHz9",//需求号
            "channelNeedNo": "N202008120920C5NEHz9",//渠道需求号
            "channelUserId": "15010929366",//渠道用户唯一码
            "followManUserId": null,//跟进者唯一码
            "followManMobile": null,//跟进者手机号
            "city": "北京市-北京市-大兴区",//城市
            "province": null,//省份
            "publishContent": "公司注册 - ",//发布内容
            "publishName": "",//发布者姓名
            "publishMobile": "13911391996",//发布者手机号
            "notes": null,//备注
            "followContent": null,//跟进内容
            "disposeNotes": null,//处理的备注
            "status": "ygb",//状态 wts未推送,yts已推送,ygj已跟进,ycd已成单,ygb已关闭
            "typeCode": "gszc",//类型编码
            "typeName": "公司注册",//类型名称
            "channelTypeCode": "gszc",//渠道类型编码
            "channelTypeName": "公司注册",//渠道类型名称
            "publisherOnlyCode": null,//发布者唯一码
            "followManName": null,//跟进人姓名
            "followManOnlyCode": null//跟进者唯一码
         },
        "requestId": "c0dbbd7ba07c4a63899b672816c2276e"
    }
```

## **<a name="licenseCompare"> 证照对比数据</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：licenseCompare

```javascript
{
  "companyName":"xx公司", // 公司名称
  "picName": "xx证" // 证照名称
}
```

#### 返回结果

```javascript
{
	"status": 0,
	"msg": "success",
	"data": {
		"中央厨房": "否",
		"主体业态": "单位食堂",
		"住所": "新疆维吾尔自治区伊犁州伊宁县伊东工业园管委会",
		"发证日期": "2018年07月19日",
		"发证机关": "伊宁县市场监督管理局",
		"散装熟食销售": "否",
		"日常监督管理人员": "杜爱洪加拉斯",
		"日常监督管理机构": "伊宁县市场监督管理局",
		"有效期至": "2023年07月18日",
		"法定代表人（负责人）": "霍庆华",
		"签发人": "马江平",
		"经营场所": "新疆维吾尔自治区伊犁州伊宁县伊东工业园管委会",
		"经营者名称": "新疆庆华能源集团有限公司",
		"经营项目": "热食类食品制售,",
		"网络经营": "否",
		"许可证状态": "有效",
		"许可证编号": "JY36540210003935",
		"集体用餐配送单位": "否"
	},
	"requestId": "1936ab0c419e4132805aa197920a6b33"
}
```

## **<a name="addDnCase"> 新建方案</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/zzzd/diagnosisneedbus/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：addDnCase

```javascript
{
    "diagnosisNo": "test123", // 需求单号
    "solutionContent": {"testk": "testv"} // 方案明细
}
```

#### 返回结果

```javascript
{
	"status": 0,
	"msg": "success",
	"data":
	"requestId": "1936ab0c419e4132805aa197920a6b33"
}
```
