<a name="menu" href="/doc">返回主目录</a>

1. [精确检索(首页搜索)](#exactSearch)
1. [条件搜索(获取 list)](#getList)
1. [获取详情](#getDetail)

## **<a name="exactSearch"> 精确检索(首页搜索 已废弃)</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/action/fbQuery/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### actionType `exactSearch`

```javascript
    {
      "id": "" // 经营者名称 或 许可证编号
    }
```

#### 返回结果

```javascript
{
  "data": [ // 结果列表
    {
      "license_no": "JY11113081581363", // 许可证编号
      "company_name": "北京金金顺平商店", // 经营者名称
      "pub_date": "2017-12-20", // 发证时间
      "end_date": "2022-12-19" // 有效期至
    }
  ],
  "msg": "查询成功",
  "page": 1,
  "pagesize": 20,
  "region_count": [ // 所属地区统计
    {
      "doc_count": 21,
      "key": "上海"
    }
  ],
  "subject_count": [ // 主体业态统计
    {
      "doc_count": 19,
      "key": "食品销售经营者"
    }
  ],
  "year_count": [ // 发证年份统计
    {
      "doc_count": 2,
      "key": 2019
    }
  ],
  "count": 32,
  "code": 0,
  "requestId": "9e6b08a448644197a87bd91577695dcb"
}
```

## **<a name="getList"> 条件搜索(获取 list)</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

#### 经营者名称和许可证编号为模糊查询 有且只有其一

##### URL

[/web/action/fbQuery/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### actionType `getList`

```javascript
    {
      "base": "", // 所属地区
      "pub_year": 2017, // 发证年份
      "subject_format":"", // 主体业态
      "status": 1, // 状态码 0: 失效, 1: 有效
      "company_name": "", // 经营者名称
      "license_no": "" // 许可证编号
      "page": 1, // 页数
      "pageSize": 20, // 每页条数
      "sort": "status desc" // 一共三种排序方式  status desc 有效状态  pub_date asc 发证时间升序 pub_date desc 发证时间降序
    }
```

#### 返回结果

```javascript
{
  "data": [ // 结果列表
    {
      "id": 272137, // id
      "license_no": "JY11113081581363", // 许可证编号
      "company_name": "北京金金顺平商店", // 经营者名称
      "pub_date": "2017-12-20", // 发证时间
      "end_date": "2022-12-19" // 有效期至
    }
  ],
  "msg": "查询成功",
  "page": 1,
  "pagesize": 20,
  "region_count": [ // 所属地区统计
    {
      "doc_count": 21,
      "key": "上海"
    }
  ],
  "subject_count": [ // 主体业态统计
    {
      "doc_count": 19,
      "key": "食品销售经营者"
    }
  ],
  "year_count": [ // 发证年份统计
    {
      "doc_count": 2,
      "key": 2019
    }
  ],
  "count": 32,
  "code": 0,
  "requestId": "9e6b08a448644197a87bd91577695dcb"
}
```

## **<a name="getDetail"> 获取详情</a>**

[返回到目录](#menu) <a name="menu" href="/doc">返回主目录</a>

##### URL

[/web/action/fbQuery/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### actionType `getDetail`

```javascript
    {
      "id": "" // id
    }
```

#### 返回结果

```javascript
  {
	"msg": "success",
	"code": 0,
	"data": {
		"pub_year": 2017, // 发证年份
		"id": 113138,
		"company_name": "北京金金顺平商店", // 经营者名称
		"base": "北京", // 所属地区
		"legal_person": "徐卫国", // 企业法人
		"scc_icn": "110222197401132917", //  统一社会信用代码 || 身份证号
		"license_no": "JY11113081581363", // 许可证编号
		"status": 1, // 状态码 0: 失效, 1: 有效
		"subject_format": "食品销售经营者(食杂店)", // 主体业态
		"pub_date": "2017-12-20", // 发证时间
		"end_date": "2022-12-19", // 有效期至
		"business_items": "预包装食品销售，含冷藏冷冻食品***", // 经营项目
		"business_place": "北京市顺义区南法信镇北法信村信中路16号", // 经营场所
		"reg_address": "北京市顺义区南法信镇北法信村信中路16号", // 注册地址
		"issuing_authority": "北京市顺义区食品药品监督管理局", // 发证机关
		"signer": "陈福刚", // 签发人
		"manage_agency": "北京市顺义区食品药品监督管理局", // 日常管理机构
		"manage_person": "张俐,方磊", // 日常管理人员
		"create_time": "2020-04-02",
		"update_time": "2020-04-02"
	},
	"requestId": "8442f71934294d69b5f04e75af5401f3"
}
```
