<a name="menu" href="/doc">返回主目录</a>

1. [企业近似查询](#getCompanyInfoByLikeName)
1. [企业注册信息精确查询](#getEntregistryByCompanyName)
1. [工商核名](#icheming)

## **<a name="getCompanyInfoByLikeName"> 企业近似查询</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getCompanyInfoByLikeName

``` javascript
    {
        "likestr": "北京"
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": [
            {
                "entId": 188568958,
                "province": "北京",
                "domainEntName": "爱陌客(北京)文化传媒有限责任公司",
                "entName": "爱陌客(北京)文化传媒有限责任公司",
                "entLegalperson": "王林",
                "entStatus": "存续",
                "capitalUnit": "万人民币",
                "capitalStandard": "50000000.000",
                "foundedTime": "2019-4-24",
                "regLocation": "北京市顺义区高丽营镇北高路99号4号楼2层202室",
                "creditCode": "91110113MA01JPD53X"
            },
            {
                "entId": 140981646,
                "province": "北京",
                "domainEntName": "中国铁路北京局集团有限公司",
                "entName": "中国铁路北京局集团有限公司",
                "entLegalperson": "赵春雷",
                "entStatus": "存续",
                "capitalUnit": null,
                "capitalStandard": "24895969.000",
                "foundedTime": "1993-4-22",
                "regLocation": "北京市海淀区复兴路6号",
                "creditCode": "91110000100013669B"
            }
        ],
        "requestid": "0f6a38044034475eb47e80a78d3bdd6c"

    }

```

## **<a name="getEntregistryByCompanyName"> 企业注册信息精确查询</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getEntregistryByCompanyName

``` javascript
    {
        "companyName":"北京创知厚德科技有限公司"
    }
```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "companyProvince": "北京",
        "city": "朝阳区",
        "name": "北京创知厚德科技有限公司",
        "legalRepresentative": "王静波",
        "registrID": "110105021672563",
        "companyOrgType": "有限责任公司(法人独资)",
        "businessAddress": "北京市朝阳区建国路15号院甲1号北岸1292三间房创意生活园区8号楼2层363",
        "foundedTime": "2016-7-20",
        "businessTerm": "2016-7-20至2036-7-19",
        "scope": "技术开发、技术咨询、技术服务;商标代理;版权贸易;经济贸易咨询;企业策划;设计、制作、代理、发布广告;市场调查;企业管理咨询;组织文化艺术交流活动(不含演出);承办展览展示活动;影视策划;翻译服务;酒店管理;销售文具用品、体育用品、机械设备、五金交电(不从事实体店铺经营)、电子产品、通讯设备、计算机、软件及辅助设备;工程和技术研究;计算机系统服务;基础软件服务;应用软件服务(不含医用软件);软件开发;出租办公用房;机动车公共停车场服务;会议服务;房地产信息咨询;房地产开发;物业管理。(企业依法自主选择经营项目,开展经营活动;依法须经批准的项目,经相关部门批准后依批准的内容开展经营活动;不得从事本市产业政策禁止和限制类项目的经营活动。)",
        "registerOffice": "北京市工商行政管理局朝阳分局",
        "dateIssue": "2020-3-27",
        "managementState": "存续",
        "registeredCapital": "100.000万人民币",
        "organizationCode": "MA00723E4",
        "creditCode": "91110105MA00723E4F",
        "companyCate1": "科学研究和技术服务业",
        "companyCate2": "科技推广和应用服务业",
        "companyCate3": "技术推广服务",
        "companyType": "0",
        "requestId": "9cdb71c4327d44bbb13e6f4e955c5caa"
    },
    "requestId": "89ca862c97204518843d3a03380d9227"
}
参数说明：
companyProvince	　      ：省份
city	　              ：市或区
name	　              ：公司名称
legalRepresentative	　  ：法人
registrID	　          ：工商注册号
companyOrgType	　      ：公司类型
businessAddress	　      ：注册地址
foundedTime	　          ：成立时间
businessTerm	       　：营业期限_开始 至　营业期限_结束
scope	　              ：经营范围
registerOffice	　      ：登记机关
dateIssue	　          ：核准时间
managementState	　      ：经营状态
registeredCapital	    ：注册资本/注册资本_单位
organizationCode	    ：组织机构代码
creditCode	            ：统一社会信用代码
companyCate1	：行业大类一类
companyCate2	：行业大类二类
companyCate3	：行业大类三类

```

## **<a name="icheming"> 工商核名</a>**
[返回到目录](#menu)
##### URL
[/action/tmQuery/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：icheming

``` javascript
{
      "cityname":"北京",//城市名称
      "keyword":"创知",//公司名称
      "btname":"科技",//行业名称
      "orgname":"有限公司",//公司类型名称
      "sitcity":1
      //地区在名称中的位置,eg:
      // 1: cityname + keyword + btname + orgname
      // 2: keywords = keyword + （cityname） + btname + orgname
      // 3: keywords = keyword +  btname + （cityname） +orgname

}


```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"操作成功",
    "data":{
        "code":"200",
        "level":"低",//通过核名的通过率，值：“高”，“中”，低
        "point":400,//核名的评分
        "cityList":[//与字号一致的地区名称列表

        ],
        "brandList":[//与字号相同的驰名商标列表

        ],
        "sensitiveList":[//与字号相同的敏感词列表

        ],
        "similarCityList":[//与字号名称相似公司列表
            {
                "id":0,
                "name":"北京<em>创知</em>厚德科技有限公司",//企业名称
                "title":"",
                "pinyin":"",//如是拼音相同，返回命中词的拼音；其他返回“”
                "per":90,//相似度评分，约值
                "type":"",
                "levels":"高"
            },
            {
                "id":0,
                "name":"北京<em>创知</em>翼网络科技有限公司",
                "title":"",
                "pinyin":"",
                "per":86,
                "type":"",
                "levels":"高"
            },
            {
                "id":0,
                "name":"北京领<em>创知</em>域文化科技有限公司",
                "title":"",
                "pinyin":"",
                "per":83,
                "type":"",
                "levels":"高"
            }
        ],
        "identicalCityList":[//与地区、字号、行业相同公司列表
            {
                "id":0,
                "name":"北京<em>创知</em>科技有限公司",
                "title":"",
                "pinyin":"",
                "per":100,
                "type":"",
                "levels":"高"
            }
        ],
        "msg":"查询完成"
    },
    "bizmsg":"empty",
    "requestid":"d90f8647d1ce499d93b92a9827e9860a"
}

```