<a name="menu" href="/doc">返回主目录</a>

1. [企业模糊查询](#getCompanyListByVague)
1. [企业详情](#getDetailByCompanyName)
1. [企业变更记录查询](#getCompanyChangeByName)
1. [工商icp证照查询](#getCompanyIcpByName)
1. [企业资质证书查询](#searchCertification)

## **<a name="getCompanyListByVague"> 企业模糊查询</a>**
[返回到目录](#menu)
##### URL
[/action/icbcTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getCompanyListByVague

``` javascript
    {
        "companyName":"911101083066224948"
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": {
            "totalSize": 1,
            "pageSize": 20,
            "currentPage": 1,
            "list": [
                {
                    "id": 19300789,
                    "name": "汉唐信通(北京)科技有限公司",
                    "legal_person_name": "李丽",
                    "reg_number": "110108017689943",
                    "establish_time": "8/6/2014",
                    "gsb_old_company_name": null,
                    "reg_status": "存续",
                    "reg_capital": "100.000null",
                    "usc_code": "911101083066224948"
                }
            ]
        },
        "requestId": "8d4ab54f2a8244528e191e032edf3e67"
    }

```

## **<a name="getDetailByCompanyName"> 企业详情</a>**
[返回到目录](#menu)
##### URL
[/action/icbcTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getDetailByCompanyName

``` javascript
    {
        "companyName":"汉唐信通(北京)科技有限公司"
    }
```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "company_province": "北京",
        "gsb_city": "海淀区",
        "company_name": "汉唐信通(北京)科技有限公司",
        "legal_person": "李丽",
        "reg_number": "110108017689943",
        "company_org_type": "有限责任公司",
        "businessAddress": "北京市海淀区温泉镇创客小镇社区配套商业楼15#楼一层118室",
        "reg_location": "8/6/2014",
        "from_time": "8/6/2014",
        "to_time": "8/5/2034",
        "businessTerm": "8/6/2014至8/5/2034",
        "business_scope": "技术开发、技术推广、技术转让、技术咨询、技术服务;计算机系统服务;数据处理(数据处理中的银行卡中心、PUE值在1.5以上的云计算数据中心除外);基础软件服务;应用软件服务;软件开发;软件咨询;产品设计;模型设计;包装装潢设计;教育咨询;经济贸易咨询;文化咨询;体育咨询;公共关系服务;会议服务;工艺美术设计;电脑动画设计;企业策划;设计、制作、代理、发布广告;市场调查;企业管理咨询;组织文化艺术交流活动(不含营业性演出);文艺创作;承办展览展示活动;影视策划;翻译服务;商标转让;商标代理;版权转让、版权代理;财务咨询(不得开展审计、验资、查帐、评估、会计咨询、代理记账等需经专项审批的业务,不得出具相应的审计报告、验资报告、查帐报告、评估报告等文字材料);销售自行开发后的产品、机械设备、计算机、软件及辅助设备、通讯设备、电子产品、日用品、文化用品、工艺品;出租办公用房;机动车公共停车场服务;物业管理;健康咨询(须经审批的诊疗活动除外);代理记账;人力资源服务。(市场主体依法自主选择经营项目,开展经营活动;代理记账、人力资源服务以及依法须经批准的项目,经相关部门批准后依批准的内容开展经营活动;不得从事国家和本市产业政策禁止和限制类项目的经营活动。)",
        "reg_institute": "北京市工商行政管理局海淀分局",
        "approved_time": "6/16/2020",
        "reg_status": "存续",
        "reg_capital": "100.000",
        "reg_unit": "万人民币",
        "registeredCapital": "100.000万人民币",
        "org_number": "306622494",
        "credit_code": "911101083066224948",
        "gsb_company_cate_1": "科学研究和技术服务业",
        "gsb_company_cate_2": "科技推广和应用服务业",
        "gsb_company_cate_3": "其他科技推广和应用服务业",
        "company_type": "0",
        "old_name": null,
        "phone_number": "15600515179",
        "postal_address": "北京市海淀区上地信息路1号(北京实创科技发展总公司1-2号)B栋8层816室",
        "email": "szqiao@sino-tone.com",
        "requestId": "ebdef7c17bc04db79a0be132fe5ac56e"
    },
    "requestId": "89ca862c97204518843d3a03380d9227"
}

```

## **<a name="getCompanyChangeByName"> 企业变更记录查询</a>**
[返回到目录](#menu)
##### URL
[/action/icbcTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getCompanyChangeByName

``` javascript
{
    "companyName":"北京真彩科创电子技术有限公司"
}


```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "totalSize": 10,
        "pageSize": 20,
        "currentPage": 1,
        "list": [
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "投资人",
                "change_time": "4/18/2019",
                "change_before": "1 孙爱武 自然人股东2 郭东明 自然人股东",
                "change_after": "1 郭燕明 自然人股东",
                "create_time": "2019-04-24"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "法定代表人",
                "change_time": "4/18/2019",
                "change_before": "孙爱武",
                "change_after": "郭燕明",
                "create_time": "2019-04-24"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "注册资本",
                "change_time": "5/11/2014",
                "change_before": "600万元",
                "change_after": "1001万元",
                "create_time": "2017-03-21"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "经营范围",
                "change_time": "10/28/2012",
                "change_before": "法律、行政法规、国务院决定禁止的,不得经营;法律、行政法规、国务院决定规定应经许可的,经审批机关批准并经工商行政管理机关登记注册后方可经营;法律、行政法规、国务院决定未规定许可的,自主选择经营项目开展经营活动。(实缴注册资本600万元,其中非专利技术出资595万元。)(知识产权出资为595.0万元)",
                "change_after": "技术开发、技术咨询、技术服务;计算机系统服务;计算机技术培训;计算机维修;机械设备租赁(不含汽车租赁);企业策划、设计;承办展览展示活动;销售计算机、软件及辅助设备、通讯设备、机械设备、电子产品。(未取得行政许可项目除外)。(知识产权出资为595.0万元)",
                "create_time": "2017-03-12"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "实缴的出资额",
                "change_time": "2/27/2014",
                "change_before": null,
                "change_after": "1 孙爱武 自然人股东2 郭东明 自然人股东",
                "create_time": "2017-07-13"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "住所",
                "change_time": "10/28/2012",
                "change_before": "北京市海淀区上地创业中路26号1层1号",
                "change_after": "北京市海淀区上地四街3号二层296室",
                "create_time": "2017-03-12"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "企业类型",
                "change_time": "4/18/2019",
                "change_before": "有限责任公司(自然人投资或控股)",
                "change_after": "有限责任公司(自然人独资)",
                "create_time": "2019-04-24"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "经营范围",
                "change_time": "5/9/2020",
                "change_before": "技术开发、技术咨询、技术服务;计算机系统服务;计算机技术培训;计算机维修;机械设备租赁(不含汽车租赁);企业策划、设计;承办展览展示活动;销售计算机、软件及辅助设备、通讯设备、机械设备、电子产品。企业依法自主选择经营项目,开展经营活动;依法须经批准的项目,经相关部门批准后依批准的内容开展经营活动;不得从事本市产业政策禁止和限制类项目的经营活动。",
                "change_after": "技术开发、技术咨询、技术服务;软件开发;计算机系统服务;计算机技术培训;计算机维修;机械设备租赁(不含汽车租赁);企业策划、设计;承办展览展示活动;销售计算机、软件及辅助设备、通讯设备、机械设备、电子产品;委托加工电子产品。市场主体依法自主选择经营项目,开展经营活动;依法须经批准的项目,经相关部门批准后依批准的内容开展经营活动;不得从事国家和本市产业政策禁止和限制类项目的经营活动。",
                "create_time": "2020-05-14"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "董事(理事)、经理、监事",
                "change_time": "4/18/2019",
                "change_before": "(注:标有*标志的为法定代表人)1 孙爱武* 执行董事2 孙爱武* 总经理3 郭东明 监事",
                "change_after": "(注:标有*标志的为法定代表人)1 郭燕明* 执行董事2 郭燕明* 经理3 郭东明 监事",
                "create_time": "2019-04-24"
            },
            {
                "company_id": 5,
                "company_name": "北京真彩科创电子技术有限公司",
                "usc_code": "91110108754157151K",
                "reg_number": "110108006180349",
                "change_item": "住所",
                "change_time": "4/18/2019",
                "change_before": "北京市海淀区上地四街3号二层296室",
                "change_after": "北京市朝阳区北苑东路19号院4号楼21层2104",
                "create_time": "2019-04-24"
            }
        ]
    },
    "requestId": "e4ea79a902b94d82a4454ec6b7706774"
}

```


## **<a name="getCompanyIcpByName"> 工商icp证照查询</a>**
[返回到目录](#menu)
##### URL
[/action/icbcTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getCompanyIcpByName

``` javascript
    {
        "companyName":"北京真彩科创电子技术有限公司"
    }
```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": {
            "totalSize": 1,
            "pageSize": 20,
            "currentPage": 1,
            "list": [
                {
                    "company_id": 5,
                    "icp_id": 83736748,
                    "company_name": "北京真彩科创电子技术有限公司",
                    "company_type": "企业",
                    "liscense": "京ICP备12028387号",
                    "web_name": "北京真彩科创电子技术有限公司",
                    "web_site": "www.zcdpm.com",
                    "examine_date": "2018-01-26",
                    "dwmc": "北京真彩科创电子技术有限公司",
                    "ztid": 10000429218,
                    "dwxz": "企业",
                    "zt_baxh": "京ICP备12028387号",
                    "wzid": 10000615448,
                    "wzmc": "北京真彩科创电子技术有限公司",
                    "wzfzr": null,
                    "site_url": "www.zcdpm.com",
                    "ym": "zcdpm.com",
                    "wz_baxh": "京ICP备12028387号-1",
                    "shsj": "2018-01-26T05:00:00.000Z",
                    "shengid": "北京市",
                    "shiid": null,
                    "xianid": null,
                    "xxdz": null,
                    "ymid": 10003127306,
                    "updatetime": "2018-03-03T16:10:04.721Z",
                    "createtime": "2018-03-03T16:10:04.000Z"
                }
            ]
        },
        "requestId": "e4e69fac26b74fb7958c0a71fc30d21d"
    }

```



## **<a name="searchCertification"> 企业资质证书查询</a>**
[返回到目录](#menu)
##### URL
[/action/icbcTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：searchCertification

``` javascript
    {
        "companyName":"海南椰利园食品有限公司"
    }
```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": [
            {
                "EndDate": "2020-11-12 00:00:00",
                "Id": "69466fbd54a6942f7644d9a8079cad91_6",
                "Name": "食品生产许可证",
                "No": "SC10646010800036",
                "StartDate": "2015-11-13 00:00:00",
                "Type": "C_997_91"
            },
            {
                "EndDate": "2014-11-28 00:00:00",
                "Id": "e8ee5244-4ffa-4289-ad27-204be9b5ee6d",
                "Name": "其他食品(椰纤果)",
                "No": "QS460028010044",
                "StartDate": "2011-11-22 00:00:00",
                "Type": "C_997_95"
            },
            {
                "EndDate": "2014-12-22 00:00:00",
                "Id": "a94341c7-5569-4dfd-9ee9-b988e957a5b5",
                "Name": "罐头食品(果蔬罐头)",
                "No": "QS460009013129",
                "StartDate": "2011-11-22 00:00:00",
                "Type": "C_997_95"
            }
        ],
        "requestId": "e4e69fac26b74fb7958c0a71fc30d21d"
    }

```