<a name="menu" href="/doc">返回主目录</a>
1. [询价](#getProductPrice)
1. [创建订单](#addOrder)
1. [免费咨询](#submitNeedH5)

## **<a name="getProductPrice">询价</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getProductPrice

``` javascript
    {
        channelItemCode: "gszc",//产品渠道码
        city: "北京市",//城市
        companyType: "有限责任公司",//公司性质
        pathCode: "/gsfu/gszc/",//产品类型编码路径
        productId: 60, //产品id
        province: "北京市",//省份
        serviceType: "小规模纳税人",//服务类型 小规模纳税人 一般纳税人
        time:"40-60个工作日"//周期
    }
```

#### 返回结果
``` javascript
    {
        "status":0,
        "msg":"success",
        "data":{
            "productId":60,
            "channelItemCode":"gszc",
            "pathCode":"/gsfu/gszc/",
            "province":"北京市",
            "city":"北京市",
            "companyType":"有限责任公司",
            "serviceType":"小规模纳税人",
            "payCode":"bjgszc-1",
            "price":698
        },
        "requestId":"7c99340f7c0040b6b317b0fe9b89494a"
    }
```


## **<a name="addOrder"> 创建订单</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：addOrder

``` javascript
    {
        "channelItemCode":"fzsbzc",// Y 产品的渠道编码
        "payCode": "fzsbzc-1", // Y 支付价格code
        "quantity":1,// Y 购买数量
        "totalSum":699,// Y 订单总金额
        "payTotalSum":699,    // Y 订单付款总金额     
        "notes": "订单备注信息",// N 订单备注
        "orderContact":{ // N 订单联系人信息，没有则填写{}
            "contacts": "宋毅",// N 联系人
            "mobile": "15010929368",// N 联系人电话
            "email": "songyi@gongsibao.com"// N 联系人邮箱                    
        },       
        "channelOrder":{// Y 渠道订单信息，没有则填写{}
            "channelServiceNo":"",// N 服务单号（即渠道服务单号）
            "channelOrderNo":"",// N 服务订单号（即渠道服务订单号，格式为： XX1,XX2）
            "needNo":"",// N 需求单号（即渠道需求单号）  
            "payTime":"",// N 渠道需求单号支付时间
            "orderStatus":1,// N 渠道需求单号支付支付状态 1: 待付款, 2: 已付款
            "channelParams":""// N 渠道参数（自定义参数）
        },
        "deliveryData":{},//Y 交付单信息，没有则填写{}
        "registerData": {//注册信息
            companyName: "",
            area:"河北", // N 省
            city:"石家庄市", // N 市
            diqu:"", // N 资质办理中的地区
            companyCategory: "一般纳税人", // N 纳税人类型 一般纳税人 小规模纳税人
            companyType:"有限责任公司", //公司性质 N 有限责任公司 集团有限公司 股份有限公司 个体工商户 个体独资企业
            orgType:"加急办理", // N 加急办理或者正常办理
            "bq-time":"30-45", // N 版权中的工作日
            "zz-time":"40-60", // N 资质办理中的工作日
            industryType: "行业",// N 
            scope: "经营范围",// N
            remark: "方案备注"// N
        }
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，否则失败
        "msg": "success",
        "data": {
            "orderNo": "OT26202002151649kPgs",//订单号
            "channelServiceNo": "OT26202002151649kPgs",//渠道服务单号
            "channelOrderNo"："OT26202002151649kPgs", //渠道订单号
            "channelParams": ""//渠道参数
        },
        "requestId": "2f90fad8108b4933bb97c3d978b0fe10"
    }
```


## **<a name="submitNeedH5"> 免费咨询</a>**
[返回到目录](#menu)
##### URL
[/web/opreceive/need/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：submitNeedH5
``` javascript
    {
        area: "北京市-北京市-东城区", //地区
        description: "公司注册 - ", //备注
        mobile: "13123456789", //手机号
        type: "gszc", //产品渠道码
        userName: ""//联系人
    }
```

#### 返回结果
``` javascript
    {
        "status":0,
        "msg":"success",
        "data":null,
        "requestId":"9d37bc51318a413491c47b443e89f50e"
    }
```