<a name="menu" href="/doc">返回主目录</a>

1. [icp方案提交](#submitIcpProgramme)
1. [icp材料提交](#submitIcpMaterial)
1. [根据需求产看方案详情](#getProgrammeInfoByChannelNeedNo)
1. [icp通知状态变更](#acceptIcpPartnerNotification)
1. [服务商关闭icp方案](#abolishIcpProgramme)
1. [获取方案详情](#getNeedSolutionDetailByUser)
1. [获取需求详情](#getItemByNeedNo)
1. [需求关闭](#needCloseIcp)
1. [交付商提交材料信息](#serviceProviderSubmitMaterial)
1. [交付商通知状态变更](#serviceProviderNotification)
1. [交付商关闭交付单](#closeOrderDelivery)
1. [方案询价](#getaliicpProduce)

## **<a name="submitIcpProgramme"> icp方案提交</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：submitIcpProgramme

``` javascript
{
        "actionType":"submitIcpProgramme",
        "actionBody":{
            "needNo":"I20200320201737000zhb",//渠道需求号
            "solutionContent":{
                "bizType":"icpsq",//产品类型 icpsq  edisq
                "solution":{
                    // "IcpType":1,//方案类型 不传默认1 1:icp 2: edi 参数无效
                    "CompanyName":"公司名",
                    "CompanyAddress":"公司地址",
                    "Area":"区域",
                    "Note":"备注"
                }
            }

        }
 }
```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="submitIcpMaterial"> icp材料提交</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：submitIcpMaterial

``` javascript
{
        "actionType":"submitIcpMaterial",
        "actionBody":{
            "BizId":"S20200323174838000zhb",//渠道方案号 同channelSolutionNo 必填
            "material":{//材料信息 
                "Domain":"备案域名",//必填
                "CorporateName":"法人名称",//必填
                "IncludeForeignInvestment":true,//必填
                "PartnerBusinessLicense":"营业执照",//必填
                "PartnerIdCardList":["相关人员身份证"],//必填
                "PartnerDomainCertificate":"域名证书",//必填
                "PartnerPreviewOtherList":["合作方递交其他供预览的件，只能传递ZIP包"],
                "PartnerPlan":"收费方案计划书",
                "PartnerForeignInvestment":"股东追溯不涉及外资承诺书",
                "PartnerLaw":"依法经营电信业务承诺书",
                "PartnerStampOtherList":["需要盖章，只能传递1个zip包"],
                "PartnerSignOtherList":["需要签字，只能传递1个zip包"],
                "PartnerSignAndStampOtherList":["需要盖章，只能传递1个zip包"]
            }

        }
 }

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="getProgrammeInfoByChannelNeedNo"> 根据需求查看方案详情</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getProgrammeInfoByChannelNeedNo

``` javascript
{
        "actionType":"getProgrammeInfoByChannelNeedNo",
        "actionBody":{
        	"needNo":"20200413210610000001" //渠道需求号 必填
		}
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":[
        {
            "needNo":"N202004132334EjurnEr",//需求号 同channelNeedNo
            "solutionNo":"NS202004140953WtCUTG",//方案号 同solutionNo
            "channelSolutionNo":"S20200323174838000zhb8",//渠道方案号 同channelSolutionNo
            "orderNo":null,
            "solutionContent":{//方案交付信息
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注4",
                    "IcpType":"icp",
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T01:53:33.305Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"yzf",
            "statusName":"已作废"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141407Xd29lT",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:07:47.562Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141424cOM410",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:24:50.758Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141426LIzgBx",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:26:24.666Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141434jknJyu",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:34:30.518Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141443UJ0nzb",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:43:06.766Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        },
        {
            "needNo":"N202004132334EjurnEr",
            "solutionNo":"NS202004141444Qn2bdA",
            "channelSolutionNo":null,
            "orderNo":null,
            "solutionContent":{
                "notes":"",
                "bizType":"icpsq",
                "solution":{
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":1,
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",
                "typeCode":"icpsq",
                "typeName":"icp申请",
                "applicationStatusList":[
                    {
                        "created_at":"2020-04-14T06:44:59.198Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    }
                ]
            },
            "status":"dqr",
            "statusName":"待确认"
        }
    ],
    "requestId":"cc07e0967e0840abbca13af4c4d366f6"
}

```

## **<a name="acceptIcpPartnerNotification"> icp通知状态变更</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：acceptIcpPartnerNotification

``` javascript
{
        "actionType":"acceptIcpPartnerNotification",
        "actionBody":{
			 "BizId":"S20200323174838000zhb",//渠道方案号 同channelSolutionNo 必填
    		 "OfficialFileUrl":"官⽂下载地址", //官文 非必填
			 "ApplicationStatus":"507" //状态码 必填
		}
 }
ApplicationStatus：
    507, "完成账户注册"
    508, "服务商完成提交资料到⼯信部"
    509, "⼯商部已受理"，可以传递发⽂
    510, "⼯商部不予受理"，可以传递发⽂
    511, "⼯商部通过"，可以传递发⽂
    512, "⼯商部未通过"，可以传递发⽂
```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="abolishIcpProgramme"> 服务商关闭icp方案</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：abolishIcpProgramme

``` javascript
{
        "actionType":"abolishIcpProgramme",
        "actionBody":{
            "BizId":"S20200323174838000zhb", //渠道方案号 同channelSolutionNo 必填
            "Note":"备注" //关闭原因 必填
        }
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"40769e74e83f4505a78b24d84fed870b"
}
```

## **<a name="getNeedSolutionDetailByUser"> 获取方案详情</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getNeedSolutionDetailByUser

``` javascript

{
        "actionType":"getNeedSolutionDetailByUser",
        "actionBody":{
			 "solutionNo":"NS202004131008iKPRDB" //方案号 必填
		}
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
            "id":230,
            "channelNeedNo":"I20200320201737000221",//渠道需求号
            "needNo":"N202004111217gD5T8TJ",//需求号
            "solutionNo":"NS202004131349EAWwSV",//方案号
            "channelSolutionNo":"S20200323174838000zhb7",//渠道方案号 同BizId
            "orderNo":null,//服务订单号
            "needinfo":{//需求信息 ---- 联系人信息
                "publishName":"云武",
                "publishMobile":"13800138000",
                "channelUserId":"13800138000"
            },
            "solutionContent":{//方案交付信息
                "notes":"",//用户反馈备注
                "status":"ACCOUNT_REGISTERED",//方案流程状态
                "bizType":"icpsq",//操作类型
                "material":{//材料信息
                    "Domain":"备案域名",
                    "PartnerLaw":"依法经营电信业务承诺书",
                    "PartnerPlan":"收费方案计划书",
                    "CorporateName":"法人名称",
                    "PartnerIdCardList":[
                        "相关人员身份证"
                    ],
                    "PartnerSignOtherList":[
                        "需要签字，只能传递1个zip包"
                    ],
                    "PartnerStampOtherList":[
                        "需要盖章，只能传递1个zip包"
                    ],
                    "PartnerBusinessLicense":"营业执照",
                    "PartnerPreviewOtherList":[
                        "合作方递交其他供预览的件，只能传递ZIP包"
                    ],
                    "IncludeForeignInvestment":true,
                    "PartnerDomainCertificate":"域名证书",
                    "PartnerForeignInvestment":"股东追溯不涉及外资承诺书",
                    "PartnerSignAndStampOtherList":[
                        "需要盖章，只能传递1个zip包"
                    ]
                },
                "solution":{//方案信息
                    "Area":"区域222",
                    "Note":"备注222",
                    "IcpType":"icp",
                    "CompanyName":"公司名测试数据222",
                    "CompanyAddress":"公司地址222"
                },
                "totalSum":"",//订单金额
                "typeCode":"icpsq",//产品码
                "typeName":"icp申请",//产品名称
                "statusName":"完成账户注册",//流程状态名称
                "solutionFlowList":[//方案流程列表
                    {
                        "status":"ACCOUNT_REGISTERED",
                        "statusName":"完成账户注册",
                        "updated_at":"2020-04-13T05:51:08.790Z"
                    }
                ],
                "applicationStatusList":[//方案通知状态列表 ---- 未用到
                    {
                        "created_at":"2020-04-13T05:49:19.750Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    },
                    {
                        "created_at":"2020-04-13T05:51:08.790Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"507",
                        "ApplicationStatusName":"507"
                    }
                ]
            },
            "status":"dqr",//方案状态
            "statusName":"待确认",//方案状态
            "createUserId":100,
            "created_at":"2020-04-13T05:49:19.000Z",
            "updated_at":"2020-04-13T05:51:08.000Z",
            "deleted_at":null,
            "version":0
    },
    "requestId":"1594aa8fabfd42eba332160263b2597e"
}
```



## **<a name="needCloseIcp"> 服务商关闭icp需求</a>**
[返回到目录](#menu)
##### URL
[/web/opreceive/need/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：needCloseIcp

``` javascript
{
        "actionType":"needCloseIcp",
        "actionBody":{
            "channelNeedNo":"S20200323174838000zhb",
            "note":"备注"
        }
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"40769e74e83f4505a78b24d84fed870b"
}
```

## **<a name="getItemByChannelNeedNo"> 获取需求详情</a>**
[返回到目录](#menu)
##### URL
[/web/opreceive/need/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getItemByChannelNeedNo

``` javascript

{
        "actionType":"getItemByChannelNeedNo",
        "actionBody":{
			 "needNo":"NS202004131008iKPRDB"
		}
 }
```

#### 返回结果
```javascript
{ status: 0,
  msg: 'success',
  data:
   { id: 559,
     uapp_id: 18,
     needNo: 'N202004132334EjurnEr',   //需求号--用于服务商或需求表中创建订单
     channelNeedNo: '20200413210610000001',  //渠道需求号
     channelUserId: '13800138000',  //渠道用户唯一码
     followManUserId: '100',     //跟进者唯一码
     followManMobile: '13075556693',   //跟进者手机号
     city: '9',   //城市
     province: null,  //省份
     publishContent: 'icp需求测试_005',  //发布内容
     publishName: '张三',   //发布者姓名
     publishMobile: '13800138000',   //发布者手机号
     notes: null,   //备注
     followContent:  //跟进内容
      { content: 'icp提交到方案', followDate: '2020-04-14T01:53:33.521Z' },
     disposeNotes: null,    //处理的备注
     status: 'wts',  //状态
     typeCode: 'icpsq',　　　//类型编码
     typeName: 'icp申请',　　　//类型名称
     channelTypeCode: '7',　　　　//渠道类型编码
     channelTypeName: 'icp申请',　　　//渠道类型名称
     publisherOnlyCode: null,　　　　//发布者唯一码
     followManName: '13075556693',　　　//跟进人姓名　　
     followManOnlyCode: '13075556693'　　　//跟进者唯一码 } }
```





## **<a name="serviceProviderSubmitMaterial"> 交付商提交材料信息</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：serviceProviderSubmitMaterial

``` javascript
{
    "actionType": "serviceProviderSubmitMaterial",
    "actionBody": {
        "orderNo": "NS202007281012kdOHlK",//订单号 必填
        "material": { //材料信息 
            "Domain": "备案域名", //必填
            "CorporateName": "法人名称", //必填
            "IncludeForeignInvestment": true, //必填
            "PartnerBusinessLicense": "营业执照", //必填
            "PartnerIdCardList": [
                "相关人员身份证"
            ], //必填
            "PartnerDomainCertificate": "域名证书", //必填
            "PartnerPreviewOtherList": [
                "合作方递交其他供预览的件，只能传递ZIP包"
            ],
            "PartnerPlan": "收费方案计划书",
            "PartnerForeignInvestment": "股东追溯不涉及外资承诺书",
            "PartnerLaw": "依法经营电信业务承诺书",
            "PartnerStampOtherList": [
                "需要盖章，只能传递1个zip包"
            ],
            "PartnerSignOtherList": [
                "需要签字，只能传递1个zip包"
            ],
            "PartnerSignAndStampOtherList": [
                "需要盖章，只能传递1个zip包"
            ]
        }
    }
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="serviceProviderNotification"> 交付商通知状态变更</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：serviceProviderNotification

``` javascript
{
    "actionType": "serviceProviderNotification",
    "actionBody": {
        "orderNo": "NS202007281012kdOHlK",//订单号 必填
        "status": 507,//交付状态 必填
        "officialFileURL":""//官文url 非必填
    }
}
status：
    507, "完成账户注册"
    508, "服务商完成提交资料到⼯信部"
    509, "⼯商部已受理"，可以传递发⽂
    510, "⼯商部不予受理"，可以传递发⽂
    511, "⼯商部通过"，可以传递发⽂
    512, "⼯商部未通过"，可以传递发⽂
```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="closeOrderDelivery"> 交付商关闭交付单</a>**
[返回到目录](#menu)
##### URL
[/web/action/qcapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：closeOrderDelivery

``` javascript
{
    "actionType": "closeOrderDelivery",
    "actionBody": {
        "orderNo": "NS202007281012kdOHlK",//订单号 必填
        "note": "交付商关闭交付单"//关闭原因 必填
    }
}
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"40769e74e83f4505a78b24d84fed870b"
}
```

## **<a name="getaliicpProduce"> 方案询价</a>**
[返回到目录](#menu)
##### URL
[/web/opreceive/need/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getaliicpProduce

``` javascript
{
    "actionType":"getaliicpProduce",
    "actionBody":{
        "channelTypeCode": "5",
        "province":"北京"
    }
}
```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "typeCode": "5",
        "province": "北京",
        "payCode": "bjicpsq-1",
        "channelItemCode": "5",
        "price": 1
    },
    "requestId": "5d4b3beb820541c4a4533b3363fba34b"
}
```
