<a name="menu" href="/doc">返回主目录</a>

1. [四要素诊断](#uploadBusiness)
2. [人工评估-开始入职评估](#manualEvaluation)
3. [个人中心-诊断列表](#diagnosisInfo)
4. [个人中心-企业信息](#enterpriseInfo)

## **<a name="uploadBusiness"> 四要素诊断</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：uploadBusiness

```javascript
    {
        picUrl: "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg", //营业执照地址
        identityCardNo: "1102241996xxxxxxxxxxx", //身份证号
    }
```

#### 返回结果

```javascript
    不通过
    {
        "status": -1,
        "msg": "审核不通过，原因:营业执照分析失败",
        "data": null,
        "bizmsg": "empty",
        "requestId": "7ac5b432225d43c58e78dcc630518fdd"
    }
    通过
    {
        "status": 0,
        "msg": "success",
        "data": null,
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="manualEvaluation"> 人工评估-开始入驻评估</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：manualEvaluation

```javascript
    {
        "enterprise": "企业名称",
        "mobile": "联系电话",
        "corporateType": "店铺类型 电商诊断：qi旗舰店qjd/专卖店zmd/直营店zyd，直播诊断：企业qy/个体工商户gtgsh/民办非企业mbfqy/法律服务flfw",
        "diagnosisType": "诊断类型 直播/电商 zb/ds",
        "mainClass": ["一级-二级","一级-二级"]"主营类目",
        "whetherCompany": true/false, //  分析公司名字后判断是否存有工商信息
        基础资质 如果非必填的资质未上传，则picUrl给""即可
        "qualificationsPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        品牌资质
        "brandPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        行业资质
        "industryPic":[{
            "picName": "营业执照",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "isChoice": true/false,
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }]
    }
```

#### 返回结果

```javascript
    {
        "status": -5005,
        "msg": "诊断类型不能为空",
        "data": null,
        "requestId": "4a19931c4f9e4d2c8c0a203407de46f5"
    }
    {
        "status": 0,
        "msg": "success",
        "data": {
            "diagnosis_no": "N2020081221387E5GQc5"// 诊断单号
        },
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="diagnosisInfo"> 个人中心-诊断列表</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：diagnosisInfo

```javascript
    {
        条件
        "diagnosisNo": "申请编号",
        "diagnosisTypeName": "诊断类型 直播/电商",
        "publishName": "联系人",
        "corporateName": "公司名称",
        "publishMobile": "联系电话",
        "stdate": "2020-08-12 00:00:00",
        "endate": "2020-08-12 23:59:59",
        注意这里 在下拉框无法区分商铺类型是电商还是直播。所以下拉框内容写全即可。
        "corporateTypeName": "店铺类型 给中文即可 电商诊断：旗舰店/专卖店/专营店，直播诊断：企业/个体工商户/民办非企业/法律服务",
        "page":1,//页数
        "pageSize":10,//每页条数
    }
```

#### 返回结果

```javascript
    // 等待填写
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 11,
            "rows": [
                {
                    "diagnosis_no": "N202008121159HM3GJ89",// 申请编号
                    "corporate_name": "1",// 公司名称
                    "publish_mobile": "14444444444",// 联系电话
                    "diagnosis_type_name": "直播",// 诊断类型
                    "diagnosis_mode_name": "智能评估 ",// 诊断方式
                    "diagnosis_result_name": "未通过 诊断结果",// 诊断结果
                    "updated_at": "2020-08-12T03:59:35.000Z "// 更新时间
                },
                    {
                    "diagnosis_no": "N202008121159HM3GJ89",
                    "corporate_name": "1",
                    "publish_mobile": "14444444444",
                    "diagnosis_type_name": "直播",
                    "diagnosis_mode_name": "智能评估",
                    "diagnosis_result_name": "未通过",
                    "updated_at": "2020-08-12T03:59:35.000Z"
                },
            ]
        },
        "requestId": "6934d3c04d744bfa900c9c929b08dd7b"
    }
```

## **<a name="diagnosisDetail"> 个人中心-诊断单详情</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：diagnosisDetail

```javascript
    {
        条件
        "diagnosisNo": "N2020081309473jfNmSn "
    }
```

#### 返回结果

```javascript
    // 注意！
    // 智能诊断结果 快照 注意这里 人工诊断目前没有推荐商品
    // 主体资质不支持 写死
    {
    "status": 0,
    "msg": "success",
    "data": {
        "diagnosis_no": "N2020081309473jfNmSn",
        "corporate_name": "1",// 公司名称
        "diagnosis_type_name": "直播",// 诊断类型名字
        "publish_mobile": "14444444444",// 联系电话
        "main_class": "[\"服饰-女装/女士精品\"]",// 主营类目
        "corporate_type_name": "旗舰店",// 店铺类型名字
        "whether_company": 1/0,// 1有工商信息 2没有工商信息。为什么用1/0 因为后面可能有其他可能性（比如只有工商信息的一部分）
        "diagnosis_result": "诊断结果 tg/wtg/rgshz"// 于diagnosis_result_name是对应的 你想用哪个用哪个
        "diagnosis_result_name": "未通过",// 智能诊断结果 ispass
        "diagnosis_result_data": { // 智能诊断结果
            "msg": "success",
            "data": {
                "isPass": false,
                "recommend": [
                    {
                        "id": 2081,
                        "name": "公司注册",
                        "price": "面议",
                        "describe": "公司注册是开始创业的第一步。一般来说，公司注册的流程包括：企业核名→提交材料→领取执照→刻章，就可以完成公司注册，进行开业了。但是，公司想要正式开始经营，还需要办理以下事项：银行开户→税务报到→申请税控和发票→社保开户。"
                    }
                ]
            },
            "status": 0
        }
        // 以下为您还需办理资质
        "needQualifications_pic": [],// 基础资质json {}
        "needBrand_pic": [// 品牌资质json {}
            {
                "picUrl": "",
                "picName": "商标注册证或商标注册申请受理通知书",
                "isChoice": true
            }
        ],
        "needIndustry_pic": []// 行业资质json {}
    },
    "requestId": "665be1d2e32b4c01b8390ce4e8e7b1ad"
}
```

## **<a name="enterpriseInfo"> 个人中心-企业信息</a>**

[返回到目录](#menu)

##### URL

[/web/zzzd/zzzd/springBoard]

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 渠道执行的类型 actionType：enterpriseInfo

```javascript
{
}
```

#### 返回结果

```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "diagnosis_no": "N2020081211076qlz86H",
            "corporate_name": "林氏集团",// 公司名称
            "publish_name": null,// 联系人
            "publish_mobile": "13911391996",// 联系电话
            "auth_result_name": "已认证/未认证 直接用即可"
            "whether_company": 1/0,// 1有工商信息 2没有工商信息。为什么用1/0 因为后面可能有其他可能性（比如只有工商信息的一部分）
            "qualifications_pic": null,// 基础json
            "brand_pic": null,// 品牌json
            "industry_pic": null,// 行业json
        },
        "requestId": "2208af94126f4c168659947dc8bd4feb"
    }
```
